Email lists ~~~~~~~~~~~ List all email lists ++++++++++++++++++++ .. http:get:: /fast-events/v1/admin/emaillists List all email lists across the authorized events. **Optional query parameters** *_fields* A comma separated string of fields included in the response. For example ``event_id,total``. **Example request** .. tabs:: .. code-tab:: bash $ curl \ -H "X-FE-API-KEY: 3zo58AUYP9zOE6YT" \ -H "Content-Type: application/json" \ -u "test:4ZAN O5OY OAvZ FZb2 Lslv JnJG" \ https://exampledomain.com/wp-json/fast-events/v1/admin/emaillists .. code-tab:: php curl_file_create ('./emaillist.csv'); ); $ch = curl_init(); $url = 'https://exampledomain.com/wp-json/fast-events/v1/admin/emaillists/10'; curl_setopt($ch, CURLOPT_URL, $url); curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST"); curl_setopt($ch, CURLOPT_USERPWD, 'test:4ZAN O5OY OAvZ FZb2 Lslv JnJG'); curl_setopt($ch, CURLOPT_HTTPHEADER, array( 'Content-Type: application/json', 'X-FE-API-KEY: 3zo58AUYP9zOE6YT') ); curl_setopt($ch, CURLOPT_POSTFIELDS, $post); $result = curl_exec($ch); echo $result; .. code-tab:: python import requests from requests.auth import HTTPBasicAuth dfile = open("emaillist.csv", "rb") URL = 'https://exampledomain.com/wp-json/fast-events/v1/admin/emaillists/10' HEADERS = {'X-FE-API-KEY':'3zo58AUYP9zOE6YT'} AUTH = HTTPBasicAuth('test', '4ZAN O5OY OAvZ FZb2 Lslv JnJG') response = requests.patch(URL, headers=HEADERS, auth=AUTH, files={"file": dfile}) print(response.json()) **Example response** .. sourcecode:: json { "event_id": 10, "total": 212, "_links": { "self": [ { "href": "https://vinyl-openair.com/wp-json/fast-events/v1/admin/emaillists/10" } ], "collection": [ { "href": "https://vinyl-openair.com/wp-json/fast-events/v1/admin/emaillists" } ] } } **Changelog** .. csv-table:: :header: "Version", "Description" :width: 100% :widths: auto "2.0", "Introduced."